Subject: [netmod] draft-ietf-netmod-syslog-model-12

From: t.petch <[email-masked]>
Date: Wed, 1 Mar 2017 12:20:05 +0000

The explanation of the YANG tree diagram is not that in RFC6087; I think
that it should be (or else explain why not)

I am confused by the variation in the references to RFC in the modules.

I see
RFC 5424
[RFC5426]
RFC5424

I think the first correct

Tom Petch

----- Original Message -----
From: "Alexander Clemm" <[email-masked]>
To: "Kent Watsen" <[email-masked]>;
<[email-masked]>
Cc: <[email-masked]>
Sent: Friday, February 24, 2017 12:25 AM
Subject: Re: [netmod] WG Last Call for draft-ietf-netmod-syslog-model-11

---

From: "Clyde Wildes (cwildes)" <[email-masked]>
Date: Mon, 13 Mar 2017 18:11:25 +0000

Tom,

The next revision of the draft-ietf-netmod-syslog-model includes a change to the Yang tree diagram explanation to include the text from RFC6087bis.

RFC5426 is referenced in the model where "Transmission of Syslog Messages over UDP” occurs:

              case udp {
                 container udp {
                   description
                     "This container describes the UDP transport
                      options.";
                   reference
                     "RFC 5426: Transmission of Syslog Messages over UDP";

This is a correct reference.
  
Thanks,

Clyde

On 3/1/17, 4:20 AM, "netmod on behalf of t.petch" <[email-masked] on behalf of [email-masked]> wrote:

    
    I see
    RFC 5424
    [RFC5426]
    RFC5424

    Tom Petch
    
    ----- Original Message -----
    From: "Alexander Clemm" <[email-masked]>
    To: "Kent Watsen" <[email-masked]>;
    <[email-masked]>
    Cc: <[email-masked]>
    Sent: Friday, February 24, 2017 12:25 AM
    Subject: Re: [netmod] WG Last Call for draft-ietf-netmod-syslog-model-11
    
    _______________________________________________
    netmod mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/netmod

---

From: t.petch <[email-masked]>
Date: Thu, 16 Mar 2017 17:04:52 +0000

----- Original Message -----
From: "Clyde Wildes (cwildes)" <[email-masked]>
Sent: Monday, March 13, 2017 6:11 PM

> Tom,
>
> The next revision of the draft-ietf-netmod-syslog-model includes a
change to the Yang tree diagram explanation to include the text from
RFC6087bis.
> This is a correct reference.

Indeed but I don't think that [RFC5426]  is going to work as part of
leaf sig-number-resends
while

       leaf structured-data {
        ...
       as per RFC5424

is not the usual style.

On another tack, I thought that you agreed to change one of the
identifiers in

     grouping selector {
       description

       container selector {

Tom Petch

> Thanks,
>
> Clyde
>
> On 3/1/17, 4:20 AM, "netmod on behalf of t.petch"

---

From: "Clyde Wildes (cwildes)" <[email-masked]>
Date: Thu, 16 Mar 2017 17:58:19 +0000

Tom,

Inline…

On 3/16/17, 10:04 AM, "t.petch" <[email-masked]> wrote:

    ----- Original Message -----
    From: "Clyde Wildes (cwildes)" <[email-masked]>
    Sent: Monday, March 13, 2017 6:11 PM

    
           leaf structured-data {
            ...
           as per RFC5424
    
    is not the usual style.
    
[clyde] I was urged to use the descriptions directly from RFC5848 – in this case from section 6.1.2. Configuration Parameters for Signature Blocks (page 25)

    sigNumberResends = number of times a Signature Block is resent.
      (It is recommended to select a value of greater than "0" in
      particular when the UDP transport [RFC5426] is used.)    

[clyde] Please suggest a new name for the selector that you think should be changed. I could not find a reference to this in my notes.

         grouping selector {
           description
    
           container selector {
    
Thanks,

Clyde 

    Tom Petch

---

From: t.petch <[email-masked]>
Date: Fri, 17 Mar 2017 17:14:40 +0000

---- Original Message -----
From: "Clyde Wildes (cwildes)" <[email-masked]>
Sent: Thursday, March 16, 2017 5:58 PM

>     >                      "RFC 5426: Transmission of Syslog Messages
over
>     UDP";
> [clyde] I was urged to use the descriptions directly from RFC5848 – in
this case from section 6.1.2. Configuration Parameters for Signature
Blocks (page 25)

Clyde

The semantics are fine but it is the [ syntax ] I think incorrect.

> [clyde] Please suggest a new name for the selector that you think
should be changed. I could not find a reference to this in my notes.
>     On another tack, I thought that you agreed to change one of the

I made  a note of a comment by AC (but which?) that selector selector
was confusing, which I agreed to, and I thought you agreed too, but I
discarded that thread and cannot now find it (it could be several
versions ago).

Anyhow, I find it confusing and would suggest 'filter' (which RFC5424
uses) not 'selector' .  Since the container appears in the diagram, I
would be inclined to use 'filter' there but it is removing the apparent
ambiguity e.g. of  a usage such as

uses selector {
refine " selector" {

that concerns me more.

Tom Petch

>     >     The explanation of the YANG tree diagram is not that in
RFC6087; I
>     think
>     >     I am confused by the variation in the references to RFC in
the
>     modules.